//@see http://www.nicovideo.jp/watch/sm22173430

uniform sampler2D tex;

varying float alpha;
varying float rot;

void main (void){
	if(alpha <= 0.0) discard;

	vec2  point  = gl_PointCoord - 0.5;
	float theta  = atan(point.t, point.s);
	float radius = length(point);
	point  = vec2(cos(theta+rot), sin(theta+rot));
	point *= radius;
	point += 0.5;

	gl_FragColor    = texture(tex, point);
	gl_FragColor.a *= alpha;
}
